Google Scholar 搜尋 API
API 健康狀態
健康 可用 受限 多數不可用 無資料
正在載入健康狀態...
取得 Google 學術搜尋資料,包含論文、專利與法律文件、引用與年份篩選器、版本與引用連結,適用於文獻回顧與學術結果監控。
標籤: Google Scholar
請求參數
| 名稱 | 必填 | 類型 | 預設值 | 說明 |
|---|---|---|---|---|
query | 是 | string | 學術搜尋查詢(例如「機器學習」、「CRISPR 基因編輯」)。支援進階運算子,例如「author:」。 | |
html | 否 | boolean | false | 設為 true 以回傳 Google Scholar 搜尋頁面的原始 HTML。 |
cites | 否 | string | 回傳引用指定 ID 文章的文章。 | |
as_ylo | 否 | string | 最小出版年份篩選(例如「2020」)。 | |
as_yhi | 否 | string | 最大出版年份篩選(例如「2024」)。 | |
scisbd | 否 | string | 控制是否僅回傳摘要結果或所有結果。 可用值: - ALL_RESULTS:回傳所有結果。也接受舊版值 0。- ABSTRACT_RESULTS_ONLY:僅回傳摘要結果。也接受舊版值 1。 | |
cluster | 否 | string | 文章叢集的唯一 ID,用於擷取特定作品的所有版本。 | |
language | 否 | string | en | 使用兩個字母的代碼設定結果語言(例如 'en' 表示英文,'fr' 表示法文)。請參閱 Google 語言。 |
lr | 否 | string | 使用 'lang_{language_code}' 格式(例如 'lang_en')將結果限制為一種或多種語言。請參閱Google LR 語言。 | |
page | 否 | integer | 0 | 結果頁碼。使用 0 表示第一頁,1 表示第二頁,依此類推。 |
results | 否 | integer | 10 | 每頁回傳的搜尋結果數量。 |
as_sdt | 否 | string | 針對特定文件類型或法律管轄區的進階篩選器。例如,輸入 '7' 以包含專利。 | |
safe | 否 | string | OFF | SafeSearch 篩選設定。 可用值: - ACTIVE:過濾成人內容。也接受舊版值 active。- OFF:停用 SafeSearch 篩選。也接受舊版值 off。 |
filter | 否 | string | 切換「類似結果」與「省略結果」篩選器。設為 '1'(預設)啟用,'0' 停用。 | |
as_vis | 否 | string | 控制是否在結果中包含引用文獻。 可用值: - INCLUDE_CITATIONS:在結果中包含引用文獻。也接受舊版值 0。- EXCLUDE_CITATIONS:從結果中排除引用文獻。也接受舊版值 1。 | |
as_rr | 否 | string | 控制是否僅顯示評論文章或回傳所有結果。 可用值: - ALL_RESULTS:回傳所有結果。也接受舊版值 0。- REVIEW_ARTICLES_ONLY:僅回傳評論文章。也接受舊版值 1。 |
複製請求
bash
curl -X GET "https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee" \
-H "X-API-Key: YOUR_API_KEY"js
const res = await fetch("https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee", {
headers: { "X-API-Key": "YOUR_API_KEY" }
});
const data = await res.json();
console.log(data);python
import requests
url = "https://api.justserpapi.com/api/v1/google/scholar/search"
headers = { "X-API-Key": "YOUR_API_KEY" }
params = {
"query": "coffee"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())php
<?php
$url = "https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee";
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"X-API-Key: YOUR_API_KEY"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;go
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
client := &http.Client{}
req, _ := http.NewRequest("GET", "https://api.justserpapi.com/api/v1/google/scholar/search?query=coffee", nil)
req.Header.Set("X-API-Key", "YOUR_API_KEY")
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}回應
正在載入最新回應範例...
